org.eclipse.mat.parser.index

## Class IndexWriter.LongIndexStreamer

- java.lang.Object
- - org.eclipse.mat.parser.index.IndexWriter.LongIndexStreamer

Enclosing class:
  IndexWriter

    public static class IndexWriter.LongIndexStreamer
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`LongIndexStreamer()`
`LongIndexStreamer(File indexFile)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(long value)`
`void` `addAll(ArrayLong array)`
`void` `addAll(IteratorLong iterator)`
`void` `addAll(long[] values)`
`void` `addAll(long[] values, int offset, int length)`
`void` `close()`
`long` `get(int index)`
`long[]` `getNext(int index, int length)`
`IteratorLong` `iterator()`
`int` `reverse(long value)`
`void` `set(int index, long value)`
`int` `size()`
`void` `unload()`
`IIndexReader.IOne2LongIndex` `writeTo(File indexFile, ArrayLong array)`
`IIndexReader.IOne2LongIndex` `writeTo(File indexFile, int size, HashMapIntObject<Object> pages, int pageSize)`
`IIndexReader.IOne2LongIndex` `writeTo(File indexFile, IteratorLong iterator)`
`IIndexReader.IOne2LongIndex` `writeTo(File indexFile, long[] array)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LongIndexStreamer

    public LongIndexStreamer()

#### LongIndexStreamer

    public LongIndexStreamer(File indexFile)
                      throws IOException

Throws:
  `IOException`

### Method Detail

#### close

    public void close()
               throws IOException

Throws:
  `IOException`

#### writeTo

    public IIndexReader.IOne2LongIndex writeTo(File indexFile,
                                               int size,
                                               HashMapIntObject<Object> pages,
                                               int pageSize)
                                        throws IOException

Throws:
  `IOException`

#### writeTo

    public IIndexReader.IOne2LongIndex writeTo(File indexFile,
                                               long[] array)
                                        throws IOException

Throws:
  `IOException`

#### writeTo

    public IIndexReader.IOne2LongIndex writeTo(File indexFile,
                                               IteratorLong iterator)
                                        throws IOException

Throws:
  `IOException`

#### writeTo

    public IIndexReader.IOne2LongIndex writeTo(File indexFile,
                                               ArrayLong array)
                                        throws IOException

Throws:
  `IOException`

#### addAll

    public void addAll(IteratorLong iterator)
                throws IOException

Throws:
  `IOException`

#### addAll

    public void addAll(ArrayLong array)
                throws IOException

Throws:
  `IOException`

#### add

    public void add(long value)
             throws IOException

Throws:
  `IOException`

#### addAll

    public void addAll(long[] values)
                throws IOException

Throws:
  `IOException`

#### addAll

    public void addAll(long[] values,
                       int offset,
                       int length)
                throws IOException

Throws:
  `IOException`

#### get

    public long get(int index)

#### getNext

    public long[] getNext(int index,
                          int length)

#### reverse

    public int reverse(long value)

#### set

    public void set(int index,
                    long value)

#### unload

    public void unload()

#### size

    public int size()

#### iterator

    public IteratorLong iterator()